<!DOCTYPE html>

% # variable:
% # book, current_uuid, record_name

% # 國際化
% import lonote.translate
% g = lonote.translate.get_gettext_func()

% # 獲取 content 與 time_stamp
% if record_name is None or record_name == '':
    % content = book.content(current_uuid)

    % mtime = book.mtime(current_uuid)
    % time_stamp = mtime.strftime(book.time_format)
% else:
    % content = book.record(current_uuid, name = record_name)

    % ftime = book.ftime(current_uuid, record_name)
    % time_stamp = ftime.strftime(book.time_format)
% end

<html lang="">
    <head>
        <meta charset="utf-8" />
        <title>{{book.title(current_uuid)}}</title>
        <meta name="description" content="{{book.title(current_uuid)}} at {{time_stamp}}" />
        <link rel="stylesheet" href="/static/js/handsontable/jquery.handsontable.full.css">
        <link rel="stylesheet" href="/static/css/article.css"/>
        <!-- attachment style -->
        <style>
            #attachment{
                margin-left: 3%;
                margin-right: 3%;
                margin-top: 25px;
            }

            #attachment li{
                font-style: italic;
            }
        </style>

        <link rel="stylesheet" href="/extra/{{book.book_uuid()}}/book.css" />
        {{!book.extra('extra_head') or ''}}
    </head>

    <body>
        <!-- 筆記資料區 -->
        <article id='main_content'>{{!content}}</article>

        <!-- 附件連結區 -->
        % # 獲取附件 (att 類 resource) 訊息
        % att_names = [res['name'] for res in book.resource_list(current_uuid) if res['res_type'] == 'att']

        % if att_names:
            <aside id='attachment'>
                <hr/>
                <p><b>{{g('Attachment:')}}</b></p>
                <ol>
                    % for name in att_names:
                        <li><a href="{{!name}}">{{name}}</a></li>
                    % end
                </ol>
            </aside>
        % end

    </body>
</html>
